<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.personalInfo.home.title">Personal Infos</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-personal-info" [routerLink]="['/personal-info/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.personalInfo.home.createLabel">
            Create a new Personal Info
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="personalInfos?.length === 0">
        <span jhiTranslate="tfsBackendApp.personalInfo.home.notFound">No personalInfos found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="personalInfos && personalInfos.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.civility">Civility</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.firstName">First Name</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.lastName">Last Name</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.email">Email</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.nativeCountry">Native Country</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.birthday">Birthday</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.clientABT">Client ABT</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.rib">Rib</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.nationality">Nationality</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.secondNationality">Second Nationality</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.nbrkids">Nbrkids</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.maritalStatus">Marital Status</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.phone">Phone</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.americanIndex">American Index</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.request">Request</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.personalInfo.agency">Agency</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let personalInfo of personalInfos ;trackBy: trackId">
                    <td><a [routerLink]="['/personal-info', personalInfo.id, 'view']">{{ personalInfo.id }}</a></td>
                    <td jhiTranslate="{{ 'tfsBackendApp.Civility.' + personalInfo.civility }}">{{ personalInfo.civility }}</td>
                    <td>{{ personalInfo.firstName }}</td>
                    <td>{{ personalInfo.lastName }}</td>
                    <td>{{ personalInfo.email }}</td>
                    <td>{{ personalInfo.nativeCountry }}</td>
                    <td>{{ personalInfo.birthday | date:'mediumDate' }}</td>
                    <td>{{ personalInfo.clientABT }}</td>
                    <td>{{ personalInfo.rib }}</td>
                    <td>{{ personalInfo.nationality }}</td>
                    <td>{{ personalInfo.secondNationality }}</td>
                    <td>{{ personalInfo.nbrkids }}</td>
                    <td>{{ personalInfo.maritalStatus }}</td>
                    <td>{{ personalInfo.phone }}</td>
                    <td>{{ personalInfo.americanIndex }}</td>
                    <td>
                        <div *ngIf="personalInfo.requestId">
                            <a [routerLink]="['/request', personalInfo.requestId , 'view']" >{{ personalInfo.requestId }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="personalInfo.agencyId">
                            <a [routerLink]="['/agency', personalInfo.agencyId , 'view']" >{{ personalInfo.agencyId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/personal-info', personalInfo.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/personal-info', personalInfo.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(personalInfo)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
